<div class="alert alert-danger" *ngIf="errorMessage">
  {{errorMessage}}
  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<div class="buttons">
  <div class="button btn-category" data-toggle="collapse" data-target="#newCategory" aria-expanded="false" aria-controls="newCategory">
    <i class="fa fa-plus-square fa-3x"></i>
    <p>Create Category</p>
  </div>
  <div class="collapse" id="newCategory">
    <div class="card card-body">
      <div class="formFields">
        <form (ngSubmit)="save()" method="post" [formGroup]="form">
          <div class="form-group">
            <label for="name" class="control-label required">Category Name:</label>
            <input type="text" [(ngModel)]="category.name" name="name" class="form-control" formControlName="name" required>
            <app-field-error-display [displayError]="isFieldValid('name')" errorMsg="Invalid name">
            </app-field-error-display>

            <button type="submit" class="btn btn-primary right">Save</button>
          </div>
        </form>
      </div>
    </div>
  </div>

  <div *ngIf="categories.length == 0" class="card" style="width: 18rem;">
    <div class="card-header ">
      No categories
    </div>
  </div>

  <div *ngIf="categories.length > 0">
    <h4>Category List</h4>
    <hr>
    <div class="card">
      <div *ngFor="let ctg of categories" class="card-header">
        {{ctg.name}}
      </div>
    </div>
  </div>

</div>